--[[
	## BoTD Group WoW Classic Addon 
	## 10/13/2019
	## Brandon Autry
	## brandon@bitdraft.com
	## Vers: [Beta v0.3.2.7]
	## botdplayerclass.lua 
	]]
--------------------------------------
-- Namespaces
--------------------------------------

local addonName, botdcore = ...
-- Namespace

-- Meta class
LocalOnlinePlayers = {}
botdcore.BotdPlayer = {}

function botdcore.BotdPlayer:Create(
	_fullName,
	_rank,
	_rankIndex,
	_level,
	_class,
	_zone,
	_note,
	_officernote,
	_online,
	_status,
	_classFileName,
	_achievementPoints,
	_achievementRank,
	_isMobile,
	_canSoR,
	_reputation)
	chrname, chrrealm = strsplit("-", _fullName)

	local plyr = 
	{
		name = chrname,
		realm = chrrealm,
		rank = _rank,
		rankIndex = _rankIndex,
		level = _level,
		class = _class,
		zone = _zone,
		note = _note,
		officernote = _officernote,
		online = _online,
		status = _status,
		classFileName = _classFileName,
		achievementPoints = _achievementPoints,
		achievementRank = _achievementRank,
		isMobile = _isMobile,
		canSoR = _canSoR,
		reputation = _reputation
		}
	return plyr
end

function botdcore.SearchTableForValue(chTable, characterName)
	for checkInd, checkVal in ipairs(chTable) do
		if (characterName == checkVal) then
			return true
		end -- (characterName == checkVal) STMT
	end -- End for LOOP
	return false
end -- End lcl SearchTableForValue Function
