--[[
	## BoTD Group WoW Classic Addon 
	## 10/9/2019
	## Brandon Autry
	## brandon@bitdraft.com
	## Vers: [Beta v0.3.2.7]
	## BoTDCore.lua 
	]] --

--------------------------------------
-- Namespaces
--------------------------------------
local addonName, botdcore = ...

-- Text colors
orange = "|cffFF8C00"
darkgrey = "|cffA9A9A9"
purple = "|cff8A2BE2"
white = "|cFFFFFFFF"
red = "|cFFFF0000"
green = "|cFF4ddb00"

-- Strings
version = "[0.3.2.7]" --Version Number

function botdcore.IsPlayerOnline(player)
	amIonline = false
	for i = 1, GetNumGuildMembers() do
		fullName,
			rank,
			rankIndex,
			level,
			class,
			zone,
			note,
			officernote,
			online,
			status,
			classFileName,
			achievementPoints,
			achievementRank,
			isMobile,
			canSoR,
			reputation = GetGuildRosterInfo(i)
		charName, realm = strsplit("-", fullName)
		--If player is online then add them to a table

		if (player == charName) then
			amIonline = online
		end
	end
	return amIonline
end

--Check AFK
function botdcore.CheckPlayerAfk(player)
	isAFK = UnitIsAFK(player)
	return isAFK
end

function botdcore.Getlistofplayers()
	return GetHomePartyInfo()
end
function botdcore.Printlistofplayers(plist)
	if plist then
		local print = print
		for k, v in pairs(plist) do
			print(v)
		end
	else
		-- print(redcolour .. "The list of players is empty" .. defaultcolour)
		print("The list of players is empty")
	end
end
function botdcore.CreateListInBoTDGUI()
	local plist = {}
	if IsInGroup() then
		for i = 1, 4 do
			if (UnitName("party" .. i)) then
				tinsert(plist, (UnitName("party" .. i)))
			end
		end
	end
	return plist
end


function botdcore.CheckGuildMembers()
	for i = 1, GetNumGuildMembers() do
		playerInList = false
		fullName,
			rank,
			rankIndex,
			level,
			class,
			zone,
			note,
			officernote,
			online,
			status,
			classFileName,
			achievementPoints,
			achievementRank,
			isMobile,
			canSoR,
			reputation = GetGuildRosterInfo(i)
		charName, realm = strsplit("-", fullName)

		if (online) then

		end
	end
end