--[[
	## BoTD Group WoW Classic Addon 
	## 10/9/2019
	## Brandon Autry
	## brandon@bitdraft.com
	## Vers: [Beta v0.3.2.7]
	## BoTDHelper.lua 
	]]
--------------------------------------
-- Namespaces
--------------------------------------

-- For colors just add cFF in front of the #FF8C00 <- Hex DarkOrange
-- Addon logging information when character enters world.

local addonName, botdcore = ... -- Namespace

-- Text colors
orange = "|cffFF8C00"
darkgrey = "|cffA9A9A9"
purple = "|cff8A2BE2"
white = "|cFFFFFFFF"
red = "|cFFFF0000"
green = "|cFF4ddb00"
blue = "|cFF7FB3D5"
guildGreen = "|cFF00FF00"

botdcore.money = 0

iLevelTable = {}
firstItemLevel = 0
-- Strings
version = "[0.3.2.7]" --Version Number
botdVersion = purple .. "[BoTD] " .. version .. "|r "

AutoInvitePlayers = true
ShowDungeonMp = false
ZoneMinLevel = 0
ZoneMaxLevel = 0
profOneString = ""
profTwoString = ""
profThreeString = ""
profFourString = ""
profFiveString = ""
PromoteLeader = true
AllowFollow = true
ManaWarning = false
function botdcore.setPassword(pwd)
	print(pwd)
	return pwd .. "_123"
end
-- MapFrame = CreateFrame("Frame", nil, WorldMapFrame)
MapFrame = CreateFrame("Frame", "BoTD_UtilityAddonMap", UIParent, "UIPanelDialogTemplate")

UIConfig = CreateFrame("Frame", "BoTD_UtilityAddon", UIParent, "UIPanelDialogTemplate")
-- UIConfig:SetBackdrop(StaticPopup1:GetBackdrop())
raidframe = CreateFrame("Frame", "RaidIconFrame", UIConfig)

scrollframe = CreateFrame("ScrollFrame", nil, UIConfig)
botdcore.scrollbar = CreateFrame("Slider", nil, scrollframe, "UIPanelScrollBarTemplate")

tab1 = CreateFrame("Button", "Party", UIConfig, "CharacterFrameTabButtonTemplate")
tab2 = CreateFrame("Button", "Info", UIConfig, "CharacterFrameTabButtonTemplate")
tab3 = CreateFrame("Button", "Guild", UIConfig, "CharacterFrameTabButtonTemplate")
tab4 = CreateFrame("Button", "Settings", UIConfig, "CharacterFrameTabButtonTemplate")


-- local function Tab_OnClick(self)
-- 	PanelTemplates_SetTab(self:GetParent())

-- 	local scrollChild = scrollframe:GetScrollChild()
-- 	if (scrollChild) then
-- 		scrollChild:Hide()
-- 	end

-- 	scrollframe:SetScrollChild(self.content)
-- 	self.content:Show()
-- end
local function SetTabs(frame, numTabs, ...)
	frame.numTabs = numTabs

	local contents = {}
	-- local frameName = frame:GetName()

	for i = 1, numTabs do
		-- local tab = CreateFrame("Button", frameName .. "Tab" .. i, frame, "CharacterFrameTabButtonTemplate")
		-- tab:SetID(i)
		-- if(i == 1) then
		-- 	tab:SetText(blue.."Party")
		-- elseif(i == 2) then
		-- 	tab:SetText(white.."Info")

		-- elseif(i ==3)then
		-- 	tab:SetText(guildGreen.."Guild")
		-- else
		-- tab:SetText(select(i, ...))
		-- end
		-- tab:SetNormalFontObject("GameFontNormalSmall")
		-- tab:SetHighlightFontObject("GameFontNormalSmall")
		-- tab:SetScript("OnClick", Tab_OnClick)

		-- tab.content = CreateFrame("Frame", nil, scrollframe)
		
		-- tab.content:SetSize(235, 220)
		-- tab.content:Hide()

		-- table.insert(contents, tab.content)

		-- if (i == 1) then
		-- 	tab:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 1, 7)
		-- elseif (i == 2) then
		-- 	tab:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 52, 7)
		-- elseif (i == 3) then
		-- 	tab:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 106, 7)
		-- else
		-- 	tab:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 158, 7)
		-- end
		-- local tab = CreateFrame("Button", frameName .. "Tab" .. i, frame, "CharacterFrameTabButtonTemplate")
		if(i == 1) then
			tab1:SetID(i)
			tab1:SetFrameStrata("LOW")

			tab1:SetText(blue.."Party")
			tab1:SetNormalFontObject("GameFontNormalSmall")
			tab1:SetHighlightFontObject("GameFontNormalSmall")
			-- tab1:SetScript("OnClick", Tab_OnClick)

			tab1.content = CreateFrame("Frame", nil, scrollframe)
			
			tab1.content:SetSize(235, 220)
			tab1.content:Show()

			table.insert(contents, tab1.content)
			tab1:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 1, 7.5)
			tab1:SetScript("OnClick", function(self, button)
				PanelTemplates_SetTab(tab1:GetParent())
	
					local scrollChild = scrollframe:GetScrollChild()
					if (scrollChild) then
						scrollChild:Hide()
					end
	
					scrollframe:SetScrollChild(tab1.content)
					tab1.content:Show()
					
				end)

		elseif(i == 2) then
			tab2:SetID(i)
			
			tab2:SetFrameStrata("LOW")
			tab2:SetText(white.."Info")
			tab2:SetNormalFontObject("GameFontNormalSmall")
			tab2:SetHighlightFontObject("GameFontNormalSmall")
			-- tab2:SetScript("OnClick", Tab_OnClick)

			tab2.content = CreateFrame("Frame", nil, scrollframe)
			
			tab2.content:SetSize(235, 220)
			tab2.content:Hide()

			table.insert(contents, tab2.content)
			

			tab2:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 52, 7.5)
			tab2:SetScript("OnClick", function(self, button)
				PanelTemplates_SetTab(tab2:GetParent())
	
					local scrollChild = scrollframe:GetScrollChild()
					if (scrollChild) then
						scrollChild:Hide()
					end
	
					scrollframe:SetScrollChild(tab2.content)
					tab2.content:Show()
					
				end)
			
		elseif(i ==3)then
			tab3:SetID(i)
			tab3:SetFrameStrata("LOW")
			tab3:SetText(guildGreen.."Guild")
			tab3:SetNormalFontObject("GameFontNormalSmall")
			tab3:SetHighlightFontObject("GameFontNormalSmall")
			-- tab3:SetScript("OnClick", Tab_OnClick)

			tab3.content = CreateFrame("Frame", nil, scrollframe)
			
			tab3.content:SetSize(235, 220)
			tab3.content:Hide()

			table.insert(contents, tab3.content)
			tab3:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 106, 7.5)
			tab3:SetScript("OnClick", function(self, button)
				PanelTemplates_SetTab(tab3:GetParent())
	
					local scrollChild = scrollframe:GetScrollChild()
					if (scrollChild) then
						scrollChild:Hide()
					end
	
					scrollframe:SetScrollChild(tab3.content)
					tab3.content:Show()
					
				end)
			
		elseif(i ==4)then
			tab4:SetID(i)
			tab4:SetFrameStrata("LOW")
			tab4:SetText("|cFFFFFF00Settings|r")
			tab4:SetNormalFontObject("GameFontNormalSmall")
			tab4:SetHighlightFontObject("GameFontNormalSmall")
			-- tab4:SetScript("OnClick", Tab_OnClick)

			tab4.content = CreateFrame("Frame", nil, scrollframe)
			
			tab4.content:SetSize(235, 220)
			tab4.content:Hide()

			table.insert(contents, tab4.content)
			tab4:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 158, 7.5)
			tab4:SetScript("OnClick", function(self, button)
			PanelTemplates_SetTab(tab4:GetParent())

				local scrollChild = scrollframe:GetScrollChild()
				if (scrollChild) then
					scrollChild:Hide()
				end

				scrollframe:SetScrollChild(tab4.content)
				tab4.content:Show()
				
			end)

		
		end
	end



	
	return unpack(contents)
end
content1, content2, content3, content4 = SetTabs(UIConfig, 4, "Party", "Info", "Guild", "Settings")
raidbtnicon = CreateFrame("Button", "RaidButtonIcons", content1)


-- MyZoneFrame = CreateFrame("Frame")
-- MyZoneFrame.ZoneLevel = CreateFrame("Frame")
content2.professionOne = CreateFrame("Frame")
content2.professionTwo = CreateFrame("Frame")
content2.professionThree = CreateFrame("Frame")
content2.professionFour = CreateFrame("Frame")
content2.professionFive = CreateFrame("Frame")

content1.mygold1 = CreateFrame("Frame")
content2.mygold2 = CreateFrame("Frame")
-- content4.MynetworkInfo = CreateFrame("Frame")
content2.DungeonButtonText = CreateFrame("Frame")
ShowDungeonMap = CreateFrame("Button", nil, content2, "GameMenuButtonTemplate")
MyInstanceKeyFrame = CreateFrame("Frame")
MyInstanceKeyFrame.InstanceKey = CreateFrame("Frame")
content1.ilevel = CreateFrame("Frame")
content3.mygold3 = CreateFrame("Frame")
content3.PvPInfo = CreateFrame("Frame")

content4.checkBtn = CreateFrame("CheckButton", nil, content4, "UICheckButtonTemplate")
content4.promoteToLeader = CreateFrame("CheckButton", nil, content4, "UICheckButtonTemplate")
content4.anounBuff = CreateFrame("CheckButton", nil, content4, "UICheckButtonTemplate")
content4.checkProfession = CreateFrame("CheckButton", nil, content4, "UICheckButtonTemplate")
content4.checkAllowFollow = CreateFrame("CheckButton", nil, content4, "UICheckButtonTemplate")
content4.partyManaWarning = CreateFrame("CheckButton", nil, content4, "UICheckButtonTemplate")

mapTexture = MapFrame:CreateTexture()

local function ScrollFrame_OnMouseWheel(self, delta)
	local newValue = self:GetVerticalScroll() - (delta * 20)

	if (newValue < 0) then
		newValue = 0
	elseif (newValue > self:GetVerticalScrollRange()) then
		newValue = self:GetVerticalScrollRange()
	end

	self:SetVerticalScroll(newValue)
end





function botdcore.BuffGuiTimer(imageLocation, x, y)
	content3.content = CreateFrame("Frame", nil, content3)
	content3.content:SetSize(55, 55)
	content3.texture = content3.content:CreateTexture()
	--right positive and down negative
	content3.texture:SetPoint("LEFT", content3.anounBuff, "TOPLEFT", 40, -66)

	content3.texture:SetTexture(imageLocation)
	content3.content.texture = texture
end

function botdcore.GetItemLevel()
	GetInventoryItemID("player", 2)
	GetInventoryItemID("player", 3)
	GetInventoryItemID("player", 4)
	GetInventoryItemID("player", 5)
	GetInventoryItemID("player", 6)
	GetInventoryItemID("player", 7)
	GetInventoryItemID("player", 8)
	GetInventoryItemID("player", 9)
	GetInventoryItemID("player", 10)
	GetInventoryItemID("player", 11)
	GetInventoryItemID("player", 12)
	GetInventoryItemID("player", 13)
	GetInventoryItemID("player", 14)
	GetInventoryItemID("player", 15)
	GetInventoryItemID("player", 16)
	GetInventoryItemID("player", 17)

	if (GetInventoryItemID("player", 15) ~= nil) then
		name, link, quality, iLevel1, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", 15))
	else
		iLevel1 = 0
	end

	if (GetInventoryItemID("player", 5) ~= nil) then
		name, link, quality, iLevel2, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", 5))
	else
		iLevel5 = 0
	end

	if (GetInventoryItemID("player", 8) ~= nil) then
		name, link, quality, iLevel3, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("FeetSlot"))) --8
	else
		iLevel3 = 0
	end

	if (GetInventoryItemID("player", 11) ~= nil) then
		name, link, quality, iLevel4, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("Finger0Slot"))) --11
	else
		iLevel4 = 0
	end

	if (GetInventoryItemID("player", 12) ~= nil) then
		name, link, quality, iLevel5, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("Finger1Slot"))) --12
	else
		iLevel5 = 0
	end
	if (GetInventoryItemID("player", 10) ~= nil) then
		name, link, quality, iLevel6, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("HandsSlot"))) --10
	else
		iLevel6 = 0
	end

	if (GetInventoryItemID("player", 1) ~= nil) then
		name, link, quality, iLevel7, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("HeadSlot"))) --1
	else
		iLevel7 = 0
	end

	if (GetInventoryItemID("player", 7) ~= nil) then
		name, link, quality, iLevel8, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("LegsSlot"))) --7
	else
		iLevel8 = 0
	end

	if (GetInventoryItemID("player", 3) ~= nil) then
		name, link, quality, iLevel8, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice = GetItemInfo(3)
	else
		iLevel8 = 0
	end

	if (GetInventoryItemID("player", 18) ~= nil) then
		name, link, quality, iLevel10, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("RangedSlot"))) --18
	else
		iLevel10 = 0
	end

	if (GetInventoryItemID("player", 17) ~= nil) then
		name, link, quality, iLevel11, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("SecondaryHandSlot"))) --17
	else
		iLevel11 = 0
	end

	if (GetInventoryItemID("player", 3) ~= nil) then
		name, link, quality, iLevel12, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("ShoulderSlot"))) --3
	else
		iLevel12 = 0
	end

	if (GetInventoryItemID("player", 13) ~= nil) then
		name, link, quality, iLevel13, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice = GetItemInfo(13)
	else
		iLevel13 = 0
	end

	if (GetInventoryItemID("player", 14) ~= nil) then
		name, link, quality, iLevel14, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice = GetItemInfo(14)
	else
		iLevel14 = 0
	end

	if (GetInventoryItemID("player", 6) ~= nil) then
		name, link, quality, iLevel15, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("WaistSlot"))) --6
	else
		iLevel15 = 0
	end

	if (GetInventoryItemID("player", 9) ~= nil) then
		name, link, quality, iLevel16, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("WristSlot"))) --9
	else
		iLevel16 = 0
	end

	if (GetInventoryItemID("player", 16) ~= nil) then
		name, link, quality, iLevel17, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice =
			GetItemInfo(GetInventoryItemID("player", GetInventorySlotInfo("MainHandSlot"))) --16
	else
		iLevel17 = 0
	end
	table.insert(iLevelTable, iLevel1)
	table.insert(iLevelTable, iLevel2)
	table.insert(iLevelTable, iLevel3)
	table.insert(iLevelTable, iLevel4)
	table.insert(iLevelTable, iLevel5)
	table.insert(iLevelTable, iLevel6)
	table.insert(iLevelTable, iLevel7)
	table.insert(iLevelTable, iLevel8)
	table.insert(iLevelTable, iLevel9)
	table.insert(iLevelTable, iLevel10)
	table.insert(iLevelTable, iLevel11)
	table.insert(iLevelTable, iLevel12)
	table.insert(iLevelTable, iLevel13)
	table.insert(iLevelTable, iLevel14)
	table.insert(iLevelTable, iLevel15)
	table.insert(iLevelTable, iLevel16)
	table.insert(iLevelTable, iLevel17)

	local iLevel = 0
	for i, v in ipairs(iLevelTable) do
		iLevel = iLevel + v
	end

	iLevel = iLevel / 17
	-- print(Round(iLevel))
	siLevel = Round(iLevel) .. ""
	iLevelTable = {}
	return siLevel
end

function botdcore.CanILoot(unit)
	lootable = CanLootUnit(unit)
	lootinfo = GetLootInfo(unit)


end

-- cooldownTable = {}
-- function botdcore.TotalCooldownList()
-- 	tmpcltable = {}
-- 	for i=1,999 do
-- 		local start,duration,enable = GetActionCooldown(i)
-- 		if start > 0 and enable == 1 then
-- 		--    local actiontype,id,subtype = GetActionInfo(i)
-- 		   type1, id, subType, spellID = GetActionInfo(i)
-- 		   local name
-- 		--    print("AT: "..actiontype)
-- 		   print("ID: "..id)
-- 		   if subtype ~= nil then
-- 		   	print("ST: "..subtype)
-- 		   end

-- 		   if (type1 == "spell") then
-- 				skillType, spellId  = GetSpellBookItemInfo(i, "spell") 
-- 				-- name, rank, icon, castingTime, minRange, maxRange, spellID = GetSpellInfo(spellId)
-- 				name, rank, icon, castingTime, minRange, maxRange, spellID = GetSpellInfo(spellID, "spell")
-- 				-- name = GetSpellBookItemName(spellId, "spell") 

-- 			  print(name)

-- 		   elseif (type1 == "item") then
-- 			  name = GetItemInfo(id)
-- 			  print(name)
-- 			elseif type1 == "companion" then
-- 			  name = select(2, GetCompanionInfo(subtype, id))
-- 			  print(name)
-- 			end
		   
-- 		   local timeLeft = math.floor((start + duration) - GetTime())
-- 		   cooldown = 0
-- 		   cooldownstring = ""
-- 		   if (timeLeft < 60) then
-- 				cooldown = timeLeft
-- 				cooldownstring = " - "..math.ceil(cooldown).." seconds remaining."
-- 			else
-- 				cooldown = timeLeft / 60
-- 				cooldownstring = " - "..math.ceil(cooldown).." minutes remaining."
-- 			end
-- 			-- print(botdVersion..name..cooldownstring)

-- 			--If skill isn't in cooldownTable add it
-- 		-- 	if (not botdcore.SearchTableForValueByIndex(cooldownTable, name)) then
-- 		-- 		cooldownTable[name] = cooldownstring
-- 		-- 	end

-- 		-- 	--add all skills on cooldown to this list
-- 		-- 	tmpcltable[name] = cooldownstring

-- 		-- for checkInd, checkVal in ipairs(cooldownTable) do
-- 		-- 	if (not botdcore.SearchTableForValueByIndex(tmpcltable, checkInd)) then
-- 		-- 		table.remove(cooldownTable, checkInd)
-- 		-- 		print(botdVersion..checkInd.." is ready to use!")
-- 		-- 	end
-- 		-- end

-- 		end
-- 	 end
-- end
 


function botdcore.CreateMenu()
	--Boolean showmenu
	--BoTD UIPanel
	UIConfig:SetSize(235, 220) -- width, height
	UIConfig:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -160, 120) -- point, relativeFrame, relativePoint, xOffset, yOffset
	UIConfig:SetMovable(true)
	UIConfig:EnableMouse(true)
	-- UIConfig:SetFrameStrata("HIGH")
	UIConfig:RegisterForDrag("LeftButton")
	UIConfig:SetScript("OnDragStart", UIConfig.StartMoving)
	UIConfig:SetScript("OnDragStop", UIConfig.StopMovingOrSizing)
	UIConfig:SetFrameStrata("MEDIUM")
	UIConfig:SetResizable(true)
	
    content1:SetResizable(true)
    content2:SetResizable(true)
    content3:SetResizable(true)
    content4:SetResizable(true)

	-- UIConfig:SetUserPlaced(true)
	-- UIConfig:StartSizing()
	-- UIConfig:SetBackdrop(StaticPopup1:GetBackdrop())

	-- local resizeButton = CreateFrame("Button", nil, UIConfig)
	-- resizeButton:SetSize(20, 20)
	-- resizeButton:SetPoint("BOTTOMRIGHT", UIConfig, "BOTTOMRIGHT", -1, 3)
	-- resizeButton:SetNormalTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Up")
	-- resizeButton:SetHighlightTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Highlight")
	-- resizeButton:SetPushedTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Down")
	-- resizeButton:SetFrameStrata("MEDIUM")
	 
	-- resizeButton:SetScript("OnMouseDown", function(self, button)
	-- 	UIConfig:StartSizing("BOTTOMRIGHT")
	-- 	UIConfig:SetUserPlaced(true)
		
	-- end)
	 
	-- resizeButton:SetScript("OnMouseUp", function(self, button)
	-- 	UIConfig:StopMovingOrSizing()
	-- 	content1:StopMovingOrSizing()
	-- 	content2:StopMovingOrSizing()
	-- 	content3:StopMovingOrSizing()
	-- 	content4:StopMovingOrSizing()
	-- 	heightUi = UIConfig:GetHeight()
	-- 	widthUi = UIConfig:GetWidth()

		

	-- 	content1:SetWidth(widthUi)
	-- 	content1:SetHeight(heightUi)

	-- 	content2:SetWidth(widthUi)
	-- 	content2:SetHeight(heightUi)

	-- 	content3:SetWidth(widthUi)
	-- 	content3:SetHeight(heightUi)

	-- 	content4:SetWidth(widthUi)
	-- 	content4:SetHeight(heightUi)
		
	-- end)
	UIConfig:SetScript("OnDragStart", function(self) 
        -- self.isMoving = true
		self:StartMoving() 
		
    end)
    UIConfig:SetScript("OnDragStop", function(self) 
        self.isMoving = false
        self:StopMovingOrSizing() 
        self.x = self:GetLeft() 
        self.y = (self:GetTop() - self:GetHeight()) 
        self:ClearAllPoints()
		self:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", self.x, self.y)
		
		
    end)
    UIConfig:SetScript("OnUpdate", function(self) 
        if UIConfig.isMoving == true then
            UIConfig.x = UIConfig:GetLeft() 
            UIConfig.y = (UIConfig:GetHeight() - UIConfig:GetTop())
            UIConfig:ClearAllPoints()
            UIConfig:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", UIConfig.x, UIConfig.y)
        end
    end)
    UIConfig:SetClampedToScreen(true)
    UIConfig:RegisterForDrag("LeftButton")
    UIConfig:SetScale(1)
    UIConfig.x = UIConfig:GetLeft() 
    UIConfig.y = (UIConfig:GetTop() - UIConfig:GetHeight()) 
    UIConfig:Show()
 
    local resizeButton = CreateFrame("Button", "resButton", UIConfig)
    resizeButton:SetSize(20, 20)
    resizeButton:SetPoint("BOTTOMRIGHT", UIConfig, "BOTTOMRIGHT", -1, 3)
    resizeButton:SetNormalTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Up")
    resizeButton:SetHighlightTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Highlight")
    resizeButton:SetPushedTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Down")
    resizeButton:SetScript("OnMouseDown", function(self, button)
        if button == "LeftButton" then
            UIConfig.isSizing = true
            UIConfig:StartSizing("BOTTOMRIGHT")
			UIConfig:SetUserPlaced(true)
        elseif button == "RightButton" then
            UIConfig.isScaling = true
        end
    end)
    resizeButton:SetScript("OnMouseUp", function(self, button)
        if button == "LeftButton" then
            UIConfig.isSizing = false
			UIConfig:StopMovingOrSizing()
		content1:StopMovingOrSizing()
		content2:StopMovingOrSizing()
		content3:StopMovingOrSizing()
		content4:StopMovingOrSizing()
		heightUi = UIConfig:GetHeight()
		widthUi = UIConfig:GetWidth()
		content1:SetWidth(widthUi)
		content1:SetHeight(heightUi)

		content2:SetWidth(widthUi)
		content2:SetHeight(heightUi)

		content3:SetWidth(widthUi)
		content3:SetHeight(heightUi)

		content4:SetWidth(widthUi)
		content4:SetHeight(heightUi)
        elseif button == "RightButton" then
            self.isScaling = false
        end
    end)
    resizeButton:SetScript("OnUpdate", function(self, button)
        if self.isScaling == true then
            local cx, cy = GetCursorPosition()
            cx = cx / self:GetEffectiveScale() - self:GetParent():GetLeft() 
            cy = self:GetParent():GetHeight() - (cy / self:GetEffectiveScale() - self:GetParent():GetBottom() )
 
            local tNewScale = cx / self:GetParent():GetWidth()
            local tx, ty = self:GetParent().x / tNewScale, self:GetParent().y / tNewScale
            
            self:GetParent():ClearAllPoints()
            self:GetParent():SetScale(self:GetParent():GetScale() * tNewScale)
            self:GetParent():SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", tx, ty)
            self:GetParent().x, self:GetParent().y = tx, ty
        end
    end)

	--UIPanel title
	UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
	UIConfig.title:SetFontObject("GameFontHighlight")
	UIConfig.title:ClearAllPoints()
	-- UIConfig.title:SetPoint("LEFT", BoTD_UtilityAddonTitleBG, "LEFT", 1, 0)
	UIConfig.title:SetPoint("LEFT", BoTD_UtilityAddonTitleBG, "LEFT", 15, 0)
	-- UIConfig.title:SetText("|cffFF8C00UNSTABLE|BoTD[0.3.2.7]|r")
	UIConfig.title:SetText("|cffFF8C00BoTD|r |cff8A2BE2[0.3.2.7]|r")
	-- UIConfig.title:SetText("|cffFF8C00BoTD|r |cff8A2BE2[" .. red .. "UNS|r|cff8A2BE2" .. ":0.3.2.7]|r")

	--scrollframe
	scrollframe:SetPoint("TOPLEFT", 4, -27)
	scrollframe:SetPoint("BOTTOMRIGHT", -3, 4)
	local texture = scrollframe:CreateTexture()
	-- ScrollFrame:SetClipsChildren(true)
	texture:SetAllPoints()
	texture:SetTexture(.5, .5, .5, 1)
	UIConfig.scrollframe = scrollframe

	--scrollbar
	botdcore.scrollbar:SetPoint("TOPLEFT", UIConfig, "TOPRIGHT", 4, -16)
	botdcore.scrollbar:SetPoint("BOTTOMLEFT", UIConfig, "BOTTOMRIGHT", 4, 16)
	botdcore.scrollbar:SetMinMaxValues(1, 200)
	botdcore.scrollbar:SetValueStep(1)
	botdcore.scrollbar.scrollStep = 1
	botdcore.scrollbar:SetValue(0)
	botdcore.scrollbar:SetWidth(16)
	botdcore.scrollbar:SetScript(
		"OnValueChanged",
		function(self, value)
			self:GetParent():SetVerticalScroll(value)
		end
	)
	scrollbg = botdcore.scrollbar:CreateTexture(nil, "BACKGROUND")
	scrollbg:SetAllPoints(botdcore.scrollbar)
	scrollbg:SetTexture(0, 0, 0, 0.4)
	UIConfig.scrollbar = botdcore.scrollbar


	----------------------------------
	-- Content1
	----------------------------------
	botdcore.money = GetMoney()
	moneyFormatted =
		("|cFFFFD700%dg|r |cFFC0C0C0%ds|r |cFFb87333%dc|r"):format(
		botdcore.money / 100 / 100,
		(botdcore.money / 100) % 100,
		botdcore.money % 100
	)

	----------------------------------
	-- Content2
	----------------------------------

	content1.mygold1.text = content1:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content1.mygold1.text:SetPoint("RIGHT", content1, "TOPRIGHT", -20, -10)
	content1.mygold1.text:SetText(moneyFormatted)

	raidbtnicon:SetPoint("CENTER", content1, "TOP", 0, -10)
	raidbtnicon:SetSize(15, 15)
    local t = raidbtnicon:CreateTexture(nil,"BACKGROUND",nil,-6)
	t:SetTexture("Interface\\Addons\\BoTD\\modules\\RaidSkull")
    t:SetTexCoord(0.1,0.9,0.1,0.9) --cut out crappy icon border
	t:SetAllPoints(raidbtnicon) --make texture same size as button
	raidbtnicon:SetScript("OnClick", function()
		if(raidframe:IsVisible()) then
			raidframe:Hide()
		else
			raidframe:Show()
		end
	end )



	content2.mygold2.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.mygold2.text:SetPoint("RIGHT", content2, "TOPRIGHT", -20, -10)
	content2.mygold2.text:SetText(moneyFormatted)


	--Professions
	-- botdcore.GetProfessions()

	-- profOneString = "Professions:\n"..botdcore.PlayerProfessionOne.." - "..botdcore.PlayerProfessionOneLvl
	-- profTwoString = botdcore.PlayerProfessionTwo.." - "..botdcore.PlayerProfessionTwoLvl
	-- if (botdcore.PlayerProfessionOne == "Herbalism" or botdcore.PlayerProfessionOne == "Mining")then
	-- 	profOneString = botdcore.PlayerProfessionOne
	-- end
	-- if (botdcore.PlayerProfessionTwo == "Herbalism" or botdcore.PlayerProfessionTwo == "Mining")then
	-- 	profTwoString = botdcore.PlayerProfessionTwo
	-- end

	
	content2.professionOne.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.professionOne.text:SetPoint("CENTER", content2, "TOP", 0, -45)
	content2.professionOne.text:SetText(profOneString)
	content2.professionOne.text:SetJustifyH("CENTER")

	content2.professionTwo.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.professionTwo.text:SetPoint("CENTER", content2, "TOP", 0, -62.5)
	content2.professionTwo.text:SetText(profTwoString)
	content2.professionTwo.text:SetJustifyH("CENTER")

	content2.professionThree.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.professionThree.text:SetPoint("CENTER", content2, "TOP", 0, -75)
	content2.professionThree.text:SetText(profThreeString)
	content2.professionThree.text:SetJustifyH("CENTER")

	content2.professionFour.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.professionFour.text:SetPoint("CENTER", content2, "TOP", 0, -90)
	content2.professionFour.text:SetText(profFourString)
	content2.professionFour.text:SetJustifyH("CENTER")

	content2.professionFive.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.professionFive.text:SetPoint("CENTER", content2, "TOP", 0, -105)
	content2.professionFive.text:SetText(profFiveString)
	content2.professionFive.text:SetJustifyH("CENTER")

	MapFrame:SetBackdrop(StaticPopup1:GetBackdrop())
	MapFrame:SetHeight(555)
	MapFrame:SetWidth(535)
	MapFrame:SetPoint("CENTER", UIParent, "CENTER", 0, 0) -- point, relativeFrame, relativePoint, xOffset, yOffset

	MapFrame:SetMovable(true)
	MapFrame:EnableMouse(true)
	MapFrame:SetFrameStrata("HIGH")
	MapFrame:RegisterForDrag("LeftButton")
	MapFrame:SetScript("OnDragStart", MapFrame.StartMoving)
	MapFrame:SetScript("OnDragStop", MapFrame.StopMovingOrSizing)
	MapFrame:Hide()
	-- MapFrame:SetMinResize( 128, 128 )

	MapFrame.title = MapFrame:CreateFontString(nil, "OVERLAY")
	MapFrame.title:SetFontObject("GameFontHighlight")
	MapFrame.title:ClearAllPoints()
	-- UIConfig.title:SetPoint("LEFT", BoTD_UtilityAddonTitleBG, "LEFT", 1, 0)
	MapFrame.title:SetPoint("CENTER", BoTD_UtilityAddonMapTitleBG, "CENTER", 0, 0)
	-- UIConfig.title:SetText("|cffFF8C00UNSTABLE|BoTD[0.3.2.7]|r")

	-- mapTexture:SetAllPoints()
	mapTexture:SetPoint("CENTER", MapFrame, "CENTER", 0, 0) -- point, relativeFrame, relativePoint, xOffset, yOffset

	mapTexture:SetTexture("")
	mapTexture:SetHeight(512)
	mapTexture:SetWidth(512)
	mapTexture:Hide()
	MapFrame.mapTexture = mapTexture

	
	content2.DungeonButtonText.text = content2:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content2.DungeonButtonText.text:SetPoint("TOP", content2, "TOPLEFT", 65, -4)
	content2.DungeonButtonText.text:SetText("View Dungeon Map:")
	content2.DungeonButtonText.text:Hide()

	
	ShowDungeonMap:SetPoint("LEFT", content2, "TOPLEFT", 20, -26)
	ShowDungeonMap:SetSize(60, 20)
	ShowDungeonMap:SetText("Show Map")
	ShowDungeonMap:SetNormalFontObject("GameFontNormalSmall")
	ShowDungeonMap:SetHighlightFontObject("GameFontNormalSmall")

	ShowDungeonMap:SetScript(
		"OnClick",
		function()
			ShowDungeonMap:SetText("Show Map")
			if ShowDungeonMp == true then
				ShowDungeonMp = false
				ShowDungeonMap:SetText("Show Map")
				mapTexture:Hide()
				MapFrame:Hide()
				MyInstanceKeyFrame:Hide()
				MyInstanceKeyFrame.InstanceKey.text:Hide()
				content2.DungeonButtonText:Hide()
				content2.DungeonButtonText.text:Hide()
			else
				MapFrame:Show()
				ShowDungeonMp = true
				mapTexture:Show()
				ShowDungeonMap:SetText("Hide Map")
				MyInstanceKeyFrame.InstanceKey.text:Show()
				MyInstanceKeyFrame:Show()
				content2.DungeonButtonText:Show()
				content2.DungeonButtonText.text:Show()

			end
		end
	)
	
	
	MyInstanceKeyFrame:SetBackdrop(StaticPopup1:GetBackdrop())
	MyInstanceKeyFrame:SetHeight(545)
	MyInstanceKeyFrame:SetWidth(320)
	MyInstanceKeyFrame.text = MyInstanceKeyFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal")
	MyInstanceKeyFrame:SetPoint("BOTTOMRIGHT", MapFrame, "BOTTOM", -170, -22.5) -- point, relativeFrame, relativePoint, xOffset, yOffset
	MyInstanceKeyFrame:Hide()

	
	MyInstanceKeyFrame.InstanceKey.text = MyInstanceKeyFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	MyInstanceKeyFrame.InstanceKey.text:SetPoint("CENTER", MyInstanceKeyFrame, "CENTER", -15, 0)
	MyInstanceKeyFrame.InstanceKey.text:SetJustifyH("LEFT")
	MyInstanceKeyFrame.InstanceKey.text:SetText("")
	MyInstanceKeyFrame.InstanceKey.text:Hide()

	firstItemLevel = botdcore.GetItemLevel()

	class, classFileName, classIndex = UnitClass("player")
	charColor = ""

	if (class == "Warrior") then
		charColor = warriorColor
	elseif (class == "Warlock") then
		charColor = warlockColor
	elseif (class == "Hunter") then
		charColor = hunterColor
	elseif (class == "Priest") then
		charColor = priestColor
	elseif (class == "Druid") then
		charColor = druidColor
	elseif (class == "Rogue") then
		charColor = rogueColor
	elseif (class == "Paladin") then
		charColor = paladinColor
	elseif (class == "Mage") then
		charColor = mageColor
	end

	
	content1.ilevel.text = content1:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content1.ilevel.text:SetPoint("TOP", content1, "TOPLEFT", 40, -5.5)
	content1.ilevel.text:SetText("iLevel: " .. charColor .. firstItemLevel .. "|r")

	----------------------------------
	-- content3.anounBuff = CreateFrame("CheckButton", nil, content3, "UICheckButtonTemplate")
	-- content3.anounBuff:SetSize(15, 15)

	-- content3.anounBuff:SetPoint("LEFT", content3, "TOPLEFT", 7, -10)
	-- content3.anounBuff.text:SetText("|cffFF8C00Announce Buff Timer?")
	-- content3.anounBuff:SetChecked(true)

	-- BuffTimerAnnounc = true

	-- content3.anounBuff:SetScript(
	-- 	"OnClick",
	-- 	function()
	-- 		if BuffTimerAnnounc == true then
	-- 			BuffTimerAnnounc = false
	-- 		else
	-- 			BuffTimerAnnounc = true
	-- 		end
	-- 	end
	-- )
	-- UIConfig.update = CreateFrame("Frame")
	
	content3.mygold3.text = content3:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content3.mygold3.text:SetPoint("RIGHT", content3, "TOPRIGHT", -20, -10)
	content3.mygold3.text:SetText(moneyFormatted)


	content3.PvPInfo.text = content3:CreateFontString(nil, "BACKGROUND", "GameFontNormalSmall")
	content3.PvPInfo.text:SetPoint("TOP", content2, "TOPLEFT", 65, -24)
		-- pvp info
	-- honorKills, honorPoints = GetPVPSessionStats()
	-- honorKillsYst, honorPointsYst = GetPVPYesterdayStats()
	-- content3.PvPInfo.text:SetText("PvP Kills Yesterday: "..honorKillsYst.."\nPvP Kills this session: "..honorKills)

	---content 4
	

	content4.checkBtn:SetPoint("LEFT", content4, "TOPLEFT", 7, -10)
	content4.checkBtn:SetSize(15, 15)
	content4.checkBtn.text:SetText("|cffFF8C00Allow auto party?|r")
	content4.checkBtn:SetChecked(true)
	-- scrollframe:SetScrollChild(checkBtn)

	content4.checkBtn:SetScript(
		"OnClick",
		function()
			if AutoInvitePlayers == true then
				AutoInvitePlayers = false
			else
				AutoInvitePlayers = true
			end
		end
	)
	UIConfig.update = CreateFrame("Frame")
	PromoteLeader = PROMOTE_LEADER
	

	content4.promoteToLeader:SetPoint("LEFT", content4, "TOPLEFT", 7, -24)
	content4.promoteToLeader:SetSize(15, 15)
	content4.promoteToLeader.text:SetText("|cffFF8C00Promote Leader?|r")
	if (PROMOTE_LEADER or PROMOTE_LEADER == nil) then
		content4.promoteToLeader:SetChecked(true)
		PromoteLeader = true
	else
		content4.promoteToLeader:SetChecked(false)
	end
	-- scrollframe:SetScrollChild(checkBtn)

	content4.promoteToLeader:SetScript(
		"OnClick",
		function()
			if PromoteLeader == true then
				PromoteLeader = false
				PROMOTE_LEADER = false
			else
				PromoteLeader = true
				PROMOTE_LEADER = true
			end
		end
	)
	UIConfig.update = CreateFrame("Frame")


	
	content4.anounBuff:SetSize(15, 15)

	content4.anounBuff:SetPoint("LEFT", content4, "TOPLEFT", 7, -38)
	content4.anounBuff.text:SetText("|cffFF8C00Announce Buff Timer?")
	content4.anounBuff:SetChecked(true)

	BuffTimerAnnounc = true

	content4.anounBuff:SetScript(
		"OnClick",
		function()
			if BuffTimerAnnounc == true then
				BuffTimerAnnounc = false
			else
				BuffTimerAnnounc = true
			end
		end
	)
	UIConfig.update = CreateFrame("Frame")



	
	content4.checkProfession:SetSize(15, 15)
	content4.checkProfession:SetPoint("LEFT", content4, "TOPLEFT", 7, -52)
	content4.checkProfession.text:SetText("|cffFF8C00Show Professions?|r                ")
	content4.checkProfession:SetChecked(true)

	TrackProfessions = true

	content4.checkProfession:SetScript(
		"OnClick",
		function()
			if TrackProfessions == true then
				TrackProfessions = false
				content2.professionOne.text:Hide()
				content2.professionTwo.text:Hide()
				content2.professionThree.text:Hide()
				content2.professionFour.text:Hide()
				content2.professionFive.text:Hide()
			else
				TrackProfessions = true
				content2.professionOne.text:Show()
				content2.professionTwo.text:Show()
				content2.professionThree.text:Show()
				content2.professionFour.text:Show()
				content2.professionFive.text:Show()
			end
		end
	)
	UIConfig.update = CreateFrame("Frame")


	--partyManaWarning
	ManaWarning = ANNOUNCEMANAWARNING

	content4.partyManaWarning:SetSize(15, 15)
	content4.partyManaWarning:SetPoint("LEFT", content4, "TOPLEFT", 7, -66)
	content4.partyManaWarning.text:SetText("|cffFF8C00Party Mana Warning?|r                ")
	if (not ANNOUNCEMANAWARNING or ANNOUNCEMANAWARNING == nil) then
		content4.partyManaWarning:SetChecked(false)
		ManaWarning = false
	else
		content4.partyManaWarning:SetChecked(true)
	end

	content4.partyManaWarning:SetScript(
		"OnClick",
		function()
			if ManaWarning == true then
				ManaWarning = false
				ANNOUNCEMANAWARNING = false

			else
				ManaWarning = true
				ANNOUNCEMANAWARNING = true
			end
		end
	)
	UIConfig.update = CreateFrame("Frame")


	AllowFollow = ALLOWFOLLOWVAR

	content4.checkAllowFollow:SetSize(15, 15)
	content4.checkAllowFollow:SetPoint("LEFT", content4, "TOPLEFT", 7, -80)
	content4.checkAllowFollow.text:SetText("|cffFF8C00Allow Auto Follow?|r                ")
	if (ALLOWFOLLOWVAR or ALLOWFOLLOWVAR == nil) then
		content4.checkAllowFollow:SetChecked(true)
		AllowFollow = true
		ALLOWFOLLOWVAR = true
	else
		content4.checkAllowFollow:SetChecked(false)
	end

	content4.checkAllowFollow:SetScript(
		"OnClick",
		function()
			if AllowFollow == true then
				AllowFollow = false
				ALLOWFOLLOWVAR = false

			else
				AllowFollow = true
				ALLOWFOLLOWVAR = true
			end
		end
	)
	UIConfig.update = CreateFrame("Frame")


	SubBuffTextFrame = CreateFrame("Frame");
	SubBuffTextFrame:ClearAllPoints();
	SubBuffTextFrame:SetHeight(300);
	SubBuffTextFrame:SetWidth(300);
	SubBuffTextFrame:SetScript("OnUpdate", botdcore.SubBuffTextFrame_OnUpdate);
	SubBuffTextFrame:Hide();
	SubBuffTextFrame.text = SubBuffTextFrame:CreateFontString(nil, "BACKGROUND", "PVPInfoTextFont");
	SubBuffTextFrame.text:SetAllPoints();
	SubBuffTextFrame:SetPoint("CENTER", 0, 100);

	content1:Show()
	tab1.content:Show()

	botdcore.RaidIcons()
end

function botdcore.SetTextMessage(message)
	content2.text:SetText(message)
end

function botdcore.CreateButton(point, relativeFrame, relativePoint, xOffset, yOffset, text)
	local btn = CreateFrame("Button", nil, relativeFrame, "GameMenuButtonTemplate")
	btn:SetPoint(point, relativeFrame, relativePoint, xOffset, yOffset)
	btn:SetSize(140, 30)
	btn:SetText(text)
	btn:SetNormalFontObject("GameFontNormalLarge")
	btn:SetHighlightFontObject("GameFontHighlightLarge")
	return btn
end

function botdcore.CreateCustomButton(point, relativeFrame, relativePoint, xOffset, yOffset, text)
	local btn = CreateFrame("Button", nil, relativeFrame, "GameMenuButtonTemplate")
	btn:SetPoint(point, relativeFrame, relativePoint, xOffset, yOffset)
	btn:SetSize(90, 20)
	btn:SetText(text)
	btn:SetNormalFontObject("GameFontNormalLarge")
	btn:SetHighlightFontObject("GameFontHighlightLarge")
	return btn
end

function botdcore.CreateEditBox(point, relativeFrame, relativePoint, yOffset, text)
	local nomEditBox = CreateFrame("EditBox", nil, relativeFrame, "InputBoxTemplate")
	nomEditBox:SetPoint(point, relativeFrame, relativePoint, 0, yOffset)
	nomEditBox:SetText(text)
	nomEditBox:SetFrameStrata("HIGH")
	nomEditBox:SetSize(135, 1)
	nomEditBox.Label = nomEditBox:CreateFontString(nil, "BORDER", "GameFontNormal")
	nomEditBox.Label:SetJustifyH("RIGHT")
	nomEditBox.Label:SetPoint("CENTER", nomEditBox, "CENTER", -5)
	return nomEditBox
end

function botdcore.PartyMembers(point, relativeFrame, relativePoint, xOffset, yOffset, text)
	local f1 = CreateFrame("Frame", nil, relativeFrame)
	f1:SetWidth(80)
	f1:SetHeight(1)
	f1:SetBeta(.90)
	f1:SetPoint(point, relativeFrame, relativePoint, xOffset, yOffset)
	f1.text = f1:CreateFontString(nil, "ARTWORK")
	f1.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
	f1.text:SetPoint("LEFT", 0, 0)
	f1.text:SetText(text)
	f1.text:SetJustifyH("LEFT")
	return f1
end

function botdcore.PartyMemberListFollow(name, point, relativeFrame, relativePoint, xOffset, yOffset, text)
	local f1 = CreateFrame("Frame", name, relativeFrame, "AttributeFrameTemplate")
	f1:SetWidth(80)
	f1:SetHeight(10)
	f1:SetAlpha(.90)
	f1:SetPoint(point, relativeFrame, relativePoint, xOffset, yOffset)
	f1:EnableMouse(true)
	f1.text = f1:CreateFontString(nil, "ARTWORK")
	f1.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
	f1.text:SetPoint("LEFT", 0, 0)
	f1.text:SetText(text)
	f1.text:SetJustifyH("LEFT")
	f1:SetScript("OnMouseDown", f1.LeftButton)
	f1:SetScript("OnMouseDown", function(self, button)
		botdcore.ClickedOnPlayer(name, button)
	  end)
	return f1
end



function botdcore.RaidIconButton(point, relativeFrame, relativePoint, xOffset, yOffset, text, name, num)
	local btn = CreateFrame("Button", text, relativeFrame)
	btn:SetPoint(point, relativeFrame, relativePoint, xOffset, yOffset)
	btn:SetSize(20, 20)
    local t = btn:CreateTexture(nil,"BACKGROUND",nil,-6)
	t:SetTexture("Interface\\Addons\\BoTD\\modules\\"..name)
    t:SetTexCoord(0.1,0.9,0.1,0.9) --cut out crappy icon border
	t:SetAllPoints(btn) --make texture same size as button
	btn:SetScript("OnClick", function()
			SetRaidTarget("target", num)
	end )
	return btn
end


raidicontable = {"RaidStar", "RaidCoin", "RaidDiamond", "RaidTriangle", "RaidMoon", "RaidSquare", "RaidCross", "RaidSkull"}
function botdcore.RaidIcons()
	raidframe:SetPoint("CENTER",UIConfig, 0, 190)
	raidframe:SetSize(330, 60) -- width, height
	raidframe:SetBackdrop(StaticPopup1:GetBackdrop())
	raidframe:SetMovable(true)
	raidframe:EnableMouse(true)
	raidframe:RegisterForDrag("LeftButton")
	raidframe:SetScript("OnDragStart", UIConfig.StartMoving)
	raidframe:SetScript("OnDragStop", UIConfig.StopMovingOrSizing)
	raidframe:SetFrameStrata("MEDIUM")
	raidframe:SetResizable(true)
	xOffset = 24

	local function myButton(name, i)
		xOffset = xOffset + 30
		botdcore.RaidIconButton("TOPLEFT", raidframe, "TOPLEFT", xOffset, -21, "", name, i)
	end
	
	for k,v in pairs(raidicontable) do
	   myButton(v, k)
	end
	raidframe:Hide()
end


function botdcore.displayupdate(message)
	fps.text:SetText(message)
end

--Round Number Funcion
function botdcore.Round(n)
	return n % 1 >= 0.5 and math.ceil(n) or math.floor(n)
end
--Add Commas
function botdcore.comma_value(amount)
	local formatted = amount
	while true do  
	  formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1,%2')
	  if (k==0) then
		break
	  end
	end
	return formatted
  end
  function botdcore.roundDec(num, numDecimalPlaces)
	return tonumber(string.format("%." .. (numDecimalPlaces or 0) .. "f", num))
  end